package adminkindboxreqparam

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type KindBoxReqAcceptRequest struct {
	ID            uint `json:"-"`
	CountAccepted uint `json:"count_accepted"`
}

type KindBoxReqAcceptResponse struct {
	KindBoxReqID     uint                    `json:"kind_box_req_id"`
	KindBoxReqStatus entity.KindBoxReqStatus `json:"kind_box_req_status"`
	CountRequested   uint                    `json:"count_requested"`
	CountAccepted    uint                    `json:"count_accepted"`
	DeliverReferDate time.Time               `json:"deliver_refer_date"`
	DeliverAddressID uint                    `json:"deliver_address_id"`
	FieldErrors      map[string]string       `json:"field_errors,omitempty"`
}
